Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981679 - Wifi not working with PEAP, MSCHAPv2
Summary: Wifi not working with PEAP, MSCHAPv2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 13:08 UTC by matias.sundman
Modified: 2014-01-20 16:10 UTC (History)
8 users (show)

Fixed In Version: F18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 16:10:07 UTC


Attachments (Terms of Use)

Description matias.sundman 2013-07-05 13:08:39 UTC
Description of problem:

I cannot connect to a Wifi network which has security PEAP, MSCHAPv2


Version-Release number of selected component (if applicable):

Fedora18, Kernel 3.9.6

How reproducible:

Try to connect to a Wifi network with above security measures.


Steps to Reproduce:
1.
2.
3.

Actual results:

Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) starting connection 'EWA@ECN 1'
Jul  5 15:05:09 localhost NetworkManager[700]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jul  5 15:05:09 localhost NetworkManager[700]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0/wireless): access point 'EWA@ECN 1' has security, but secrets are required.
Jul  5 15:05:09 localhost NetworkManager[700]: <info> (wlan0): device state change: config -> need-auth (reason 'none') [50 60 0]
Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul  5 15:05:37 localhost NetworkManager[700]: get_secret_flags: assertion `is_secret_prop (setting, secret_name, error)' failed
Jul  5 15:05:37 localhost NetworkManager[700]:    ifcfg-rh:     warning: missing IEEE_8021X_CA_CERT for EAP method 'peap'; this is insecure!
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jul  5 15:05:37 localhost NetworkManager[700]: <info> (wlan0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jul  5 15:05:37 localhost NetworkManager[700]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0/wireless): connection 'EWA@ECN 1' has security, and secrets exist.  No new secrets needed.
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'ssid' value 'EWA@ECN'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'scan_ssid' value '1'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'key_mgmt' value 'WPA-EAP'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'proto' value 'WPA RSN'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'password' value '<omitted>'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'eap' value 'PEAP'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'fragment_size' value '1300'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'phase2' value 'auth=MSCHAPV2'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'identity' value 'etxaahh'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'bgscan' value 'simple:30:-45:300'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'proactive_key_caching' value '1'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: set interface ap_scan to 1
Jul  5 15:05:37 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:40 localhost kernel: [ 6073.556435] wlan0: authenticate with 00:0f:61:5d:58:11
Jul  5 15:05:40 localhost kernel: [ 6073.560740] wlan0: send auth to 00:0f:61:5d:58:11 (try 1/3)
Jul  5 15:05:40 localhost kernel: [ 6073.564862] wlan0: authenticated
Jul  5 15:05:40 localhost kernel: [ 6073.565999] wlan0: associate with 00:0f:61:5d:58:11 (try 1/3)
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:40 localhost kernel: [ 6073.568676] wlan0: RX AssocResp from 00:0f:61:5d:58:11 (capab=0xc31 status=0 aid=1)
Jul  5 15:05:40 localhost kernel: [ 6073.573487] wlan0: associated
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:05:40 localhost kernel: [ 6073.620415] wlan0: deauthenticated from 00:0f:61:5d:58:11 (Reason: 2)
Jul  5 15:05:40 localhost kernel: [ 6073.621595] cfg80211: Calling CRDA to update world regulatory domain
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associated -> disconnected
Jul  5 15:05:40 localhost kernel: [ 6073.640688] cfg80211: World regulatory domain updated:
Jul  5 15:05:40 localhost kernel: [ 6073.640697] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:40 localhost kernel: [ 6073.640702] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.640706] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.640710] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.640713] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.640717] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.640756] cfg80211: Calling CRDA for country: SE
Jul  5 15:05:40 localhost kernel: [ 6073.647006] cfg80211: Regulatory domain changed to country: SE
Jul  5 15:05:40 localhost kernel: [ 6073.647014] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:40 localhost kernel: [ 6073.647019] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.647022] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.647026] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.647029] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jul  5 15:05:40 localhost kernel: [ 6073.647032] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:40 localhost kernel: [ 6074.061601] wlan0: authenticate with 00:0f:61:5a:5c:f1
Jul  5 15:05:40 localhost kernel: [ 6074.066012] wlan0: direct probe to 00:0f:61:5a:5c:f1 (try 1/3)
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:41 localhost kernel: [ 6074.266526] wlan0: direct probe to 00:0f:61:5a:5c:f1 (try 2/3)
Jul  5 15:05:41 localhost kernel: [ 6074.467343] wlan0: direct probe to 00:0f:61:5a:5c:f1 (try 3/3)
Jul  5 15:05:41 localhost kernel: [ 6074.668187] wlan0: authentication with 00:0f:61:5a:5c:f1 timed out
Jul  5 15:05:41 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:41 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:41 localhost kernel: [ 6075.186327] wlan0: authenticate with 00:0f:61:5d:58:51
Jul  5 15:05:41 localhost kernel: [ 6075.189489] wlan0: send auth to 00:0f:61:5d:58:51 (try 1/3)
Jul  5 15:05:41 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:42 localhost kernel: [ 6075.293744] wlan0: send auth to 00:0f:61:5d:58:51 (try 2/3)
Jul  5 15:05:42 localhost kernel: [ 6075.298222] wlan0: authenticated
Jul  5 15:05:42 localhost kernel: [ 6075.298754] wlan0: associate with 00:0f:61:5d:58:51 (try 1/3)
Jul  5 15:05:42 localhost kernel: [ 6075.301147] wlan0: RX AssocResp from 00:0f:61:5d:58:51 (capab=0xc31 status=0 aid=1)
Jul  5 15:05:42 localhost kernel: [ 6075.304769] wlan0: associated
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:05:42 localhost kernel: [ 6075.340774] wlan0: deauthenticated from 00:0f:61:5d:58:51 (Reason: 2)
Jul  5 15:05:42 localhost kernel: [ 6075.343862] cfg80211: Calling CRDA to update world regulatory domain
Jul  5 15:05:42 localhost kernel: [ 6075.349188] cfg80211: World regulatory domain updated:
Jul  5 15:05:42 localhost kernel: [ 6075.349198] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:42 localhost kernel: [ 6075.349205] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.349212] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.349217] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.349223] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.349228] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.349274] cfg80211: Calling CRDA for country: SE
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associated -> disconnected
Jul  5 15:05:42 localhost kernel: [ 6075.355636] cfg80211: Regulatory domain changed to country: SE
Jul  5 15:05:42 localhost kernel: [ 6075.355645] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:42 localhost kernel: [ 6075.355651] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.355657] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.355661] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.355666] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.355715] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:42 localhost kernel: [ 6075.786598] wlan0: authenticate with 00:0f:61:5d:59:41
Jul  5 15:05:42 localhost kernel: [ 6075.787788] wlan0: send auth to 00:0f:61:5d:59:41 (try 1/3)
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:42 localhost kernel: [ 6075.791986] wlan0: authenticated
Jul  5 15:05:42 localhost kernel: [ 6075.794405] wlan0: associate with 00:0f:61:5d:59:41 (try 1/3)
Jul  5 15:05:42 localhost kernel: [ 6075.796591] wlan0: RX AssocResp from 00:0f:61:5d:59:41 (capab=0xc31 status=0 aid=1)
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:05:42 localhost kernel: [ 6075.802929] wlan0: associated
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:05:42 localhost kernel: [ 6075.829638] wlan0: deauthenticated from 00:0f:61:5d:59:41 (Reason: 2)
Jul  5 15:05:42 localhost kernel: [ 6075.830847] cfg80211: Calling CRDA to update world regulatory domain
Jul  5 15:05:42 localhost kernel: [ 6075.835204] cfg80211: World regulatory domain updated:
Jul  5 15:05:42 localhost kernel: [ 6075.835211] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:42 localhost kernel: [ 6075.835216] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.835220] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.835223] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.835227] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.835230] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.835265] cfg80211: Calling CRDA for country: SE
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associated -> disconnected
Jul  5 15:05:42 localhost kernel: [ 6075.841967] cfg80211: Regulatory domain changed to country: SE
Jul  5 15:05:42 localhost kernel: [ 6075.841977] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:42 localhost kernel: [ 6075.841984] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.841990] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.841996] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.842001] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jul  5 15:05:42 localhost kernel: [ 6075.842007] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jul  5 15:05:42 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:43 localhost kernel: [ 6076.314414] wlan0: authenticate with 00:0f:61:4f:ac:81
Jul  5 15:05:43 localhost kernel: [ 6076.320458] wlan0: direct probe to 00:0f:61:4f:ac:81 (try 1/3)
Jul  5 15:05:43 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:43 localhost kernel: [ 6076.520898] wlan0: direct probe to 00:0f:61:4f:ac:81 (try 2/3)
Jul  5 15:05:43 localhost kernel: [ 6076.721712] wlan0: direct probe to 00:0f:61:4f:ac:81 (try 3/3)
Jul  5 15:05:43 localhost kernel: [ 6076.922611] wlan0: authentication with 00:0f:61:4f:ac:81 timed out
Jul  5 15:05:43 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:43 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:44 localhost kernel: [ 6077.322734] wlan0: authenticate with 00:0f:61:5a:d7:c1
Jul  5 15:05:44 localhost kernel: [ 6077.325437] wlan0: direct probe to 00:0f:61:5a:d7:c1 (try 1/3)
Jul  5 15:05:44 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:44 localhost kernel: [ 6077.526180] wlan0: direct probe to 00:0f:61:5a:d7:c1 (try 2/3)
Jul  5 15:05:44 localhost kernel: [ 6077.727041] wlan0: direct probe to 00:0f:61:5a:d7:c1 (try 3/3)
Jul  5 15:05:44 localhost kernel: [ 6077.927876] wlan0: authentication with 00:0f:61:5a:d7:c1 timed out
Jul  5 15:05:44 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:44 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:45 localhost kernel: [ 6078.400934] wlan0: authenticate with 00:0f:61:5a:5d:31
Jul  5 15:05:45 localhost kernel: [ 6078.407104] wlan0: send auth to 00:0f:61:5a:5d:31 (try 1/3)
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:45 localhost kernel: [ 6078.411344] wlan0: authenticated
Jul  5 15:05:45 localhost kernel: [ 6078.414501] wlan0: associate with 00:0f:61:5a:5d:31 (try 1/3)
Jul  5 15:05:45 localhost kernel: [ 6078.417138] wlan0: RX AssocResp from 00:0f:61:5a:5d:31 (capab=0xc31 status=0 aid=3)
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:05:45 localhost kernel: [ 6078.420321] wlan0: associated
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:05:45 localhost kernel: [ 6078.452981] wlan0: deauthenticated from 00:0f:61:5a:5d:31 (Reason: 2)
Jul  5 15:05:45 localhost kernel: [ 6078.454117] cfg80211: Calling CRDA to update world regulatory domain
Jul  5 15:05:45 localhost kernel: [ 6078.458579] cfg80211: World regulatory domain updated:
Jul  5 15:05:45 localhost kernel: [ 6078.458587] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:45 localhost kernel: [ 6078.458591] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.458595] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.458599] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.458602] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.458606] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.458636] cfg80211: Calling CRDA for country: SE
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associated -> disconnected
Jul  5 15:05:45 localhost kernel: [ 6078.464030] cfg80211: Regulatory domain changed to country: SE
Jul  5 15:05:45 localhost kernel: [ 6078.464038] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:05:45 localhost kernel: [ 6078.464043] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.464047] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.464050] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.464053] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jul  5 15:05:45 localhost kernel: [ 6078.464057] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:45 localhost kernel: [ 6078.856667] wlan0: authenticate with 00:0f:61:20:18:c1
Jul  5 15:05:45 localhost kernel: [ 6078.860561] wlan0: direct probe to 00:0f:61:20:18:c1 (try 1/3)
Jul  5 15:05:45 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:45 localhost kernel: [ 6079.061025] wlan0: direct probe to 00:0f:61:20:18:c1 (try 2/3)
Jul  5 15:05:46 localhost kernel: [ 6079.261884] wlan0: direct probe to 00:0f:61:20:18:c1 (try 3/3)
Jul  5 15:05:46 localhost kernel: [ 6079.462770] wlan0: authentication with 00:0f:61:20:18:c1 timed out
Jul  5 15:05:46 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:46 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:46 localhost kernel: [ 6079.893765] wlan0: authenticate with 00:0f:61:50:27:61
Jul  5 15:05:46 localhost kernel: [ 6079.896287] wlan0: send auth to 00:0f:61:50:27:61 (try 1/3)
Jul  5 15:05:46 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:46 localhost kernel: [ 6080.001349] wlan0: send auth to 00:0f:61:50:27:61 (try 2/3)
Jul  5 15:05:46 localhost kernel: [ 6080.105272] wlan0: send auth to 00:0f:61:50:27:61 (try 3/3)
Jul  5 15:05:47 localhost kernel: [ 6080.209206] wlan0: authentication with 00:0f:61:50:27:61 timed out
Jul  5 15:05:47 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:47 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:47 localhost kernel: [ 6080.611649] wlan0: authenticate with 00:0f:61:52:99:31
Jul  5 15:05:47 localhost kernel: [ 6080.617598] wlan0: direct probe to 00:0f:61:52:99:31 (try 1/3)
Jul  5 15:05:47 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:47 localhost kernel: [ 6080.817805] wlan0: direct probe to 00:0f:61:52:99:31 (try 2/3)
Jul  5 15:05:47 localhost kernel: [ 6081.018650] wlan0: direct probe to 00:0f:61:52:99:31 (try 3/3)
Jul  5 15:05:48 localhost kernel: [ 6081.219477] wlan0: authentication with 00:0f:61:52:99:31 timed out
Jul  5 15:05:48 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:48 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:48 localhost kernel: [ 6081.633317] wlan0: authenticate with 00:0f:61:5a:5b:61
Jul  5 15:05:48 localhost kernel: [ 6081.636287] wlan0: direct probe to 00:0f:61:5a:5b:61 (try 1/3)
Jul  5 15:05:48 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:48 localhost kernel: [ 6081.837038] wlan0: direct probe to 00:0f:61:5a:5b:61 (try 2/3)
Jul  5 15:05:48 localhost kernel: [ 6082.037881] wlan0: direct probe to 00:0f:61:5a:5b:61 (try 3/3)
Jul  5 15:05:49 localhost kernel: [ 6082.238734] wlan0: authentication with 00:0f:61:5a:5b:61 timed out
Jul  5 15:05:49 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:49 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:49 localhost kernel: [ 6082.657265] wlan0: authenticate with 00:0f:61:5e:5c:21
Jul  5 15:05:49 localhost kernel: [ 6082.660222] wlan0: direct probe to 00:0f:61:5e:5c:21 (try 1/3)
Jul  5 15:05:49 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:49 localhost kernel: [ 6082.860302] wlan0: direct probe to 00:0f:61:5e:5c:21 (try 2/3)
Jul  5 15:05:49 localhost kernel: [ 6083.061181] wlan0: direct probe to 00:0f:61:5e:5c:21 (try 3/3)
Jul  5 15:05:50 localhost kernel: [ 6083.262050] wlan0: authentication with 00:0f:61:5e:5c:21 timed out
Jul  5 15:05:50 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:50 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:50 localhost kernel: [ 6083.679407] wlan0: authenticate with 00:0f:61:5e:5c:a1
Jul  5 15:05:50 localhost kernel: [ 6083.681556] wlan0: direct probe to 00:0f:61:5e:5c:a1 (try 1/3)
Jul  5 15:05:50 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:50 localhost kernel: [ 6083.881591] wlan0: direct probe to 00:0f:61:5e:5c:a1 (try 2/3)
Jul  5 15:05:50 localhost kernel: [ 6084.082411] wlan0: direct probe to 00:0f:61:5e:5c:a1 (try 3/3)
Jul  5 15:05:51 localhost kernel: [ 6084.283266] wlan0: authentication with 00:0f:61:5e:5c:a1 timed out
Jul  5 15:05:51 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:51 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:51 localhost kernel: [ 6084.702898] wlan0: authenticate with 00:0f:61:4f:ab:d1
Jul  5 15:05:51 localhost kernel: [ 6084.706903] wlan0: direct probe to 00:0f:61:4f:ab:d1 (try 1/3)
Jul  5 15:05:51 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:51 localhost kernel: [ 6084.907811] wlan0: direct probe to 00:0f:61:4f:ab:d1 (try 2/3)
Jul  5 15:05:51 localhost kernel: [ 6085.108668] wlan0: direct probe to 00:0f:61:4f:ab:d1 (try 3/3)
Jul  5 15:05:52 localhost kernel: [ 6085.309519] wlan0: authentication with 00:0f:61:4f:ab:d1 timed out
Jul  5 15:05:52 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:52 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:52 localhost kernel: [ 6085.726303] wlan0: authenticate with 00:0f:61:5a:5b:a1
Jul  5 15:05:52 localhost kernel: [ 6085.733633] wlan0: direct probe to 00:0f:61:5a:5b:a1 (try 1/3)
Jul  5 15:05:52 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:52 localhost kernel: [ 6085.934073] wlan0: direct probe to 00:0f:61:5a:5b:a1 (try 2/3)
Jul  5 15:05:52 localhost kernel: [ 6086.134931] wlan0: direct probe to 00:0f:61:5a:5b:a1 (try 3/3)
Jul  5 15:05:53 localhost kernel: [ 6086.335820] wlan0: authentication with 00:0f:61:5a:5b:a1 timed out
Jul  5 15:05:53 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:53 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:53 localhost kernel: [ 6086.749438] wlan0: authenticate with 00:0f:61:b4:b2:21
Jul  5 15:05:53 localhost kernel: [ 6086.753664] wlan0: direct probe to 00:0f:61:b4:b2:21 (try 1/3)
Jul  5 15:05:53 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:53 localhost kernel: [ 6086.954344] wlan0: direct probe to 00:0f:61:b4:b2:21 (try 2/3)
Jul  5 15:05:53 localhost kernel: [ 6087.155197] wlan0: direct probe to 00:0f:61:b4:b2:21 (try 3/3)
Jul  5 15:05:54 localhost kernel: [ 6087.356044] wlan0: authentication with 00:0f:61:b4:b2:21 timed out
Jul  5 15:05:54 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:54 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:54 localhost kernel: [ 6087.684677] wlan0: authenticate with 00:0f:61:5a:5d:d1
Jul  5 15:05:54 localhost kernel: [ 6087.691179] wlan0: direct probe to 00:0f:61:5a:5d:d1 (try 1/3)
Jul  5 15:05:54 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:54 localhost kernel: [ 6087.891706] wlan0: direct probe to 00:0f:61:5a:5d:d1 (try 2/3)
Jul  5 15:05:54 localhost kernel: [ 6088.092562] wlan0: direct probe to 00:0f:61:5a:5d:d1 (try 3/3)
Jul  5 15:05:55 localhost kernel: [ 6088.293376] wlan0: authentication with 00:0f:61:5a:5d:d1 timed out
Jul  5 15:05:55 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:55 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:55 localhost kernel: [ 6088.504023] wlan0: authenticate with 00:0f:61:52:97:21
Jul  5 15:05:55 localhost kernel: [ 6088.506982] wlan0: direct probe to 00:0f:61:52:97:21 (try 1/3)
Jul  5 15:05:55 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:55 localhost kernel: [ 6088.707114] wlan0: direct probe to 00:0f:61:52:97:21 (try 2/3)
Jul  5 15:05:55 localhost kernel: [ 6088.907923] wlan0: direct probe to 00:0f:61:52:97:21 (try 3/3)
Jul  5 15:05:55 localhost kernel: [ 6089.108793] wlan0: authentication with 00:0f:61:52:97:21 timed out
Jul  5 15:05:55 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:56 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:56 localhost kernel: [ 6089.342750] wlan0: authenticate with 00:0f:61:4f:ac:41
Jul  5 15:05:56 localhost kernel: [ 6089.345517] wlan0: direct probe to 00:0f:61:4f:ac:41 (try 1/3)
Jul  5 15:05:56 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:56 localhost kernel: [ 6089.546505] wlan0: direct probe to 00:0f:61:4f:ac:41 (try 2/3)
Jul  5 15:05:56 localhost kernel: [ 6089.747373] wlan0: direct probe to 00:0f:61:4f:ac:41 (try 3/3)
Jul  5 15:05:56 localhost kernel: [ 6089.948224] wlan0: authentication with 00:0f:61:4f:ac:41 timed out
Jul  5 15:05:56 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:56 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:56 localhost kernel: [ 6090.116398] wlan0: authenticate with 00:0f:61:4f:a7:d1
Jul  5 15:05:56 localhost kernel: [ 6090.119148] wlan0: direct probe to 00:0f:61:4f:a7:d1 (try 1/3)
Jul  5 15:05:56 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:57 localhost kernel: [ 6090.319962] wlan0: direct probe to 00:0f:61:4f:a7:d1 (try 2/3)
Jul  5 15:05:57 localhost kernel: [ 6090.520774] wlan0: direct probe to 00:0f:61:4f:a7:d1 (try 3/3)
Jul  5 15:05:57 localhost kernel: [ 6090.721622] wlan0: authentication with 00:0f:61:4f:a7:d1 timed out
Jul  5 15:05:57 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:57 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:57 localhost kernel: [ 6090.867348] wlan0: authenticate with 00:0f:61:4f:ac:a1
Jul  5 15:05:57 localhost kernel: [ 6090.871951] wlan0: direct probe to 00:0f:61:4f:ac:a1 (try 1/3)
Jul  5 15:05:57 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:57 localhost kernel: [ 6091.072417] wlan0: direct probe to 00:0f:61:4f:ac:a1 (try 2/3)
Jul  5 15:05:58 localhost kernel: [ 6091.273232] wlan0: direct probe to 00:0f:61:4f:ac:a1 (try 3/3)
Jul  5 15:05:58 localhost kernel: [ 6091.474081] wlan0: authentication with 00:0f:61:4f:ac:a1 timed out
Jul  5 15:05:58 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:58 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:58 localhost kernel: [ 6091.616709] wlan0: authenticate with 00:0f:61:52:97:71
Jul  5 15:05:58 localhost kernel: [ 6091.619392] wlan0: direct probe to 00:0f:61:52:97:71 (try 1/3)
Jul  5 15:05:58 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:58 localhost kernel: [ 6091.819854] wlan0: direct probe to 00:0f:61:52:97:71 (try 2/3)
Jul  5 15:05:58 localhost kernel: [ 6092.020687] wlan0: direct probe to 00:0f:61:52:97:71 (try 3/3)
Jul  5 15:05:59 localhost kernel: [ 6092.221542] wlan0: authentication with 00:0f:61:52:97:71 timed out
Jul  5 15:05:59 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> disconnected
Jul  5 15:05:59 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:06:01 localhost kernel: [ 6094.939983] wlan0: authenticate with 00:0f:61:be:74:b1
Jul  5 15:06:01 localhost kernel: [ 6094.944177] wlan0: send auth to 00:0f:61:be:74:b1 (try 1/3)
Jul  5 15:06:01 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:06:01 localhost kernel: [ 6095.045308] wlan0: authenticated
Jul  5 15:06:01 localhost kernel: [ 6095.046536] wlan0: associate with 00:0f:61:be:74:b1 (try 1/3)
Jul  5 15:06:01 localhost kernel: [ 6095.047683] wlan0: RX AssocResp from 00:0f:61:be:74:b1 (capab=0x811 status=0 aid=2)
Jul  5 15:06:01 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:06:01 localhost kernel: [ 6095.067765] wlan0: associated
Jul  5 15:06:01 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:06:02 localhost kernel: [ 6095.587758] wlan0: deauthenticated from 00:0f:61:be:74:b1 (Reason: 2)
Jul  5 15:06:02 localhost kernel: [ 6095.606957] cfg80211: Calling CRDA to update world regulatory domain
Jul  5 15:06:02 localhost kernel: [ 6095.612562] cfg80211: World regulatory domain updated:
Jul  5 15:06:02 localhost kernel: [ 6095.612569] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:06:02 localhost kernel: [ 6095.612574] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.612578] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.612582] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.612585] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.612589] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.612621] cfg80211: Calling CRDA for country: SE
Jul  5 15:06:02 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associated -> disconnected
Jul  5 15:06:02 localhost kernel: [ 6095.620368] cfg80211: Regulatory domain changed to country: SE
Jul  5 15:06:02 localhost kernel: [ 6095.620377] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jul  5 15:06:02 localhost kernel: [ 6095.620382] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.620385] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.620389] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.620392] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jul  5 15:06:02 localhost kernel: [ 6095.620395] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jul  5 15:06:02 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:06:02 localhost NetworkManager[700]: <warn> Activation (wlan0/wireless): association took too long.
Jul  5 15:06:02 localhost NetworkManager[700]: <info> (wlan0): device state change: config -> need-auth (reason 'none') [50 60 0]
Jul  5 15:06:02 localhost NetworkManager[700]: <warn> Activation (wlan0/wireless): asking for new secrets
Jul  5 15:06:02 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> disconnected
Jul  5 15:06:02 localhost NetworkManager[700]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.




Expected results:

Should get connected.


Additional info:

It is possible to connect to networks without the security measures PEAP, MSCHAPv2 and I have been able to connect to the secure Wifi network with an other Distribution.

Comment 1 Josh Boyer 2013-07-05 13:11:44 UTC
What wireless card/driver is this?

Can you attach the output of dmesg please?

Comment 2 matias.sundman 2013-07-05 13:16:44 UTC
I have tested with the Internal Wifi controller on my Dell Laptop E6530.

02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

and an external Usb one,

Bus 003 Device 005: ID 0bda:8178 Realtek Semiconductor Corp. RTL8192CU 802.11n WLAN Adapter

I get the same type of behaviour.

Comment 3 Josh Boyer 2013-07-05 13:21:58 UTC
Hm.  Not quite sure on this one.  Stanislaw, Dan?

Comment 4 Stanislaw Gruszka 2013-07-05 13:50:46 UTC
This does not look like kernel bug.

Jul  5 15:05:40 localhost kernel: [ 6073.620415] wlan0: deauthenticated from 00:0f:61:5d:58:11 (Reason: 2)

Reason 2 mean "Previous authentication no longer valid". I would check if NM settings are correct (i.e. password, protocol version etc ...)

> I have been able to connect to the secure Wifi network with an other Distribution.
If settings are fine, we would like to know what version of NM and wpa_supplicant other Distributions use, or other possible differences that make things not work on Fedora.

Comment 5 John Greene 2013-07-09 17:42:57 UTC
Appears that the connection is PEAP without certificates.

Jul  5 15:05:09 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul  5 15:05:37 localhost NetworkManager[700]: get_secret_flags: assertion `is_secret_prop (setting, secret_name, error)' failed
Jul  5 15:05:37 localhost NetworkManager[700]:    ifcfg-rh:     warning: missing IEEE_8021X_CA_CERT for EAP method 'peap'; this is insecure!
^^^^^^^^^^^^^^^^^^^^^^^^^^
Says it's doesn't have a certificate..but.
Jul  5 15:05:37 localhost NetworkManager[700]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0/wireless): connection 'EWA@ECN 1' has security, and secrets exist.  No new secrets needed.
That's apparently ok...Plan B

Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'ssid' value 'EWA@ECN'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'scan_ssid' value '1'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'key_mgmt' value 'WPA-EAP'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'proto' value 'WPA RSN'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'password' value '<omitted>'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'eap' value 'PEAP'
^^^^^^^^  PEAP comes in 2 flavors, PEAPv0 and PEAPv1, assume this is PEAPv0, which do you need? IT guys can tell you..

Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'fragment_size' value '1300'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'phase2' value 'auth=MSCHAPV2'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'identity' value 'etxaahh'
^^^^^^^^^^^^^^ IS THIS right for this site?

Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'bgscan' value 'simple:30:-45:300'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: added 'proactive_key_caching' value '1'
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jul  5 15:05:37 localhost NetworkManager[700]: <info> Config: set interface ap_scan to 1
Jul  5 15:05:37 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jul  5 15:05:40 localhost kernel: [ 6073.556435] wlan0: authenticate with 00:0f:61:5d:58:11
Jul  5 15:05:40 localhost kernel: [ 6073.560740] wlan0: send auth to 00:0f:61:5d:58:11 (try 1/3)
Jul  5 15:05:40 localhost kernel: [ 6073.564862] wlan0: authenticated
Jul  5 15:05:40 localhost kernel: [ 6073.565999] wlan0: associate with 00:0f:61:5d:58:11 (try 1/3)
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jul  5 15:05:40 localhost kernel: [ 6073.568676] wlan0: RX AssocResp from 00:0f:61:5d:58:11 (capab=0xc31 status=0 aid=1)
Jul  5 15:05:40 localhost kernel: [ 6073.573487] wlan0: associated
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jul  5 15:05:40 localhost NetworkManager[700]: <info> (wlan0): supplicant interface state: associating -> associated
Jul  5 15:05:40 localhost kernel: [ 6073.620415] wlan0: deauthenticated from 00:0f:61:5d:58:11 (Reason: 2)

Appears the AP is told by the authenticator to kick the STA off, not happy with credentials..hence:
 "deauth'ed from..reason 2" message.. AP kicked you off.
 "Leaving by local choice reason 3" means the STA left of it's own.

So either the EAP identity/password is wrong or the MSCHAPv2 identify/password  are, best guess.  The identities aren't always the same, and must be perfect.
Additionally wpa_supplicant logging (-dd) will give you more details to isolate why the connection is failing.

Hope that helps.

Comment 6 matias.sundman 2013-07-10 08:58:16 UTC
Hi there,
I used `fedup` yesterday and upgraded to Fedora 19 due to other reasons but as a side bonus my Wifi including PEAP, MSCHAPv2 is now working - I am using the same settings as before. Previously I was using Ubuntu 12.04 and it worked as well. 

Thanks for your support, I am not going back to 18 now so this can be closed ( I assume ).

Thanks // Matias

Comment 7 Fedora End Of Life 2013-12-21 14:14:47 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 John Greene 2014-01-20 16:10:07 UTC
Closed upon request, fix in F18 fedup upgrade..


Note You need to log in before you can comment on or make changes to this bug.